//**************************************************************************************************
//*  FRIDA: fast reliable interactive data analysis
//*  (C) Joachim Wuttke 1990-, v2(C++) 2001-
//*  http://apps.jcns.fz-juelich.de/frida
//**************************************************************************************************

//! \file  calc.cpp
//! \brief NCalc::Calculator: the command-line pocket calculator.


#include <memory>
#include <string>
#include <vector>
#include <map>
#include <cstdio>
#include <iostream>

using namespace std;

#include "defs.hpp"
#include "olf.hpp"
#include "mem.hpp"
#include "reg.hpp"
#include "obj.hpp"
#include "expr.hpp"
#include "calc.hpp"
#include "xax_lex.hpp"


//! Evaluates one expression and displays result.

void NCalc::calculator( string expr )
{
//  TODO: resuscitate NReg::lastresult = ret (aka $_);
}
